com.beaglebuddy.ape

## Enum APEFlags.Type

- java.lang.Object
- - java.lang.Enum<APEFlags.Type>
  - - com.beaglebuddy.ape.APEFlags.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APEFlags.Type>
  Enclosing class:
    APEFlags

      public static enum APEFlags.Type
      extends java.lang.Enum<APEFlags.Type>

  valid APE value types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` item contains binary information.
    `EXTERNAL_LINK` item is a locator of externally stored information.
    `RESERVED` reserved for future use.
    `UTF_8` item contains text information encoded in UTF-8.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static APEFlags.Type` | `valueOf(int type)` convert an integral value to its corresponding enum.
    `static APEFlags.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APEFlags.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UTF_8

          public static final APEFlags.Type UTF_8

      item contains text information encoded in UTF-8.

    - #### BINARY

          public static final APEFlags.Type BINARY

      item contains binary information.

    - #### EXTERNAL_LINK

          public static final APEFlags.Type EXTERNAL_LINK

      item is a locator of externally stored information.

    - #### RESERVED

          public static final APEFlags.Type RESERVED

      reserved for future use.

  - ### Method Detail

    - #### values

          public static APEFlags.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APEFlags.Type c : APEFlags.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APEFlags.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<APEFlags.Type>`
      Returns:
        a string representation of the APE Type

    - #### valueOf

          public static APEFlags.Type valueOf(int type)

      convert an integral value to its corresponding enum.
      Parameters:
        `type` - the integral value that is to be converted to an APE Type enum.
      Returns:
        the APE Type enum whose ordinal value corresponds to the given integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if there is no APE Type enum whose ordinal value corresponds to the given integral value.